Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAGV2

    java.lang.Object
      org.netlib.lapack.DLAGV2

    public class DLAGV2

extends java.lang.Object

    DLAGV2 is a simplified interface to the JLAPACK routine dlagv2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAGV2 computes the Generalized Schur factorization of a real 2-by-2

     *  matrix pencil (A,B) where B is upper triangular. This routine
     *  computes orthogonal (rotation) matrices given by CSL, SNL and CSR,
     *  SNR such that
     *
     *  1) if the pencil (A,B) has two real eigenvalues (include 0/0 or 1/0
     *     types), then
     *
     *     [ a11 a12 ] := [  CSL  SNL ] [ a11 a12 ] [  CSR -SNR ]
     *     [  0  a22 ]    [ -SNL  CSL ] [ a21 a22 ] [  SNR  CSR ]
     *
     *     [ b11 b12 ] := [  CSL  SNL ] [ b11 b12 ] [  CSR -SNR ]
     *     [  0  b22 ]    [ -SNL  CSL ] [  0  b22 ] [  SNR  CSR ],
     *
     *  2) if the pencil (A,B) has a pair of complex conjugate eigenvalues,
     *     then
     *
     *     [ a11 a12 ] := [  CSL  SNL ] [ a11 a12 ] [  CSR -SNR ]
     *     [ a21 a22 ]    [ -SNL  CSL ] [ a21 a22 ] [  SNR  CSR ]
     *
     *     [ b11  0  ] := [  CSL  SNL ] [ b11 b12 ] [  CSR -SNR ]
     *     [  0  b22 ]    [ -SNL  CSL ] [  0  b22 ] [  SNR  CSR ]
     *
     *     where b11 >= b22 > 0.
     *
     *
     *  Arguments
     *  =========
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA, 2)
     *          On entry, the 2 x 2 matrix A.
     *          On exit, A is overwritten by the ``A-part'' of the
     *          generalized Schur form.
     *
     *  LDA     (input) INTEGER
     *          THe leading dimension of the array A.  LDA >= 2.
     *
     *  B       (input/output) DOUBLE PRECISION array, dimension (LDB, 2)
     *          On entry, the upper triangular 2 x 2 matrix B.
     *          On exit, B is overwritten by the ``B-part'' of the
     *          generalized Schur form.
     *
     *  LDB     (input) INTEGER
     *          THe leading dimension of the array B.  LDB >= 2.
     *
     *  ALPHAR  (output) DOUBLE PRECISION array, dimension (2)
     *  ALPHAI  (output) DOUBLE PRECISION array, dimension (2)
     *  BETA    (output) DOUBLE PRECISION array, dimension (2)
     *          (ALPHAR(k)+i*ALPHAI(k))/BETA(k) are the eigenvalues of the
     *          pencil (A,B), k=1,2, i = sqrt(-1).  Note that BETA(k) may
     *          be zero.
     *
     *  CSL     (output) DOUBLE PRECISION
     *          The cosine of the left rotation matrix.
     *
     *  SNL     (output) DOUBLE PRECISION
     *          The sine of the left rotation matrix.
     *
     *  CSR     (output) DOUBLE PRECISION
     *          The cosine of the right rotation matrix.
     *
     *  SNR     (output) DOUBLE PRECISION
     *          The sine of the right rotation matrix.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Mark Fahey, Department of Mathematics, Univ. of Kentucky, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAGV2()`

Method Summary
`static void` | `DLAGV2(double[][] a, double[][] b, double[] alphar, double[] alphai, double[] beta, doubleW csl, doubleW snl, doubleW csr, doubleW snr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAGV2

    public DLAGV2()

Method Detail

### DLAGV2

    public static void DLAGV2(double[][] a,
                              double[][] b,
                              double[] alphar,
                              double[] alphai,
                              double[] beta,
                              doubleW csl,
                              doubleW snl,
                              doubleW csr,
                              doubleW snr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD